Subject: Re: Diff of executable files
From: [email-masked]

24 Dec 1997 14:07:18 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: Martin Portmann <[email-masked]>, [email-masked]
Cc: "Fernandes, Hilton" <[email-masked]>

On 23 Dec 97 at 12:15,  Martin Portmann <[email-masked]> wrote:

>    I want to do a 'diff' of binary files on the Win32
>    platform (*.exe and *.dll). The problem is that
>    the binary files seems to contain timestamps so
>    that if I compile the same source twice I get
>    different binaries.
>    Where can I get information about the binary
>    format used on Win32 platforms?
> 

Hi!

A diff for executables?  That seems a very useful idea.  Maybe the
compiler experts in this list could help you with this task.

Please take a look at the Microsoft site, at
	http://www.microsoft.com

And issue two searches: one for "COFF" -- the new executable format, 
used in Windows NT and 9X. And the other for "PE", the old format, 
for Win16.

A good link is the documentation of the two formats:
	http://premium.microsoft.com/msdn/library/specs/f11/s9865.htm

You need to subscribe to this "premium" site, but this is free.

Microsoft web site is a good place to look for information about 
Win32 pgming.  Some would say: they created the mess, they must 
help solve it. :-)

HTH

++Hilton

-------------------
Hilton Fernandes
email: [email-masked]
www:   http://www.lsi.usp.br/~hilton.html (inactive)
M. Sc. Student of Parallel Distributed Applications
at Escola Politecnica (Polytechic School)
University of S. Paulo - Brazil
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".